Skip to main content
POST
Add ticket note

Authorizations

Authorization
string
header
required

Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.

Path Parameters

id
string
required

PSA ticket number by default; the internal id returned by list/search with byInternalId=true

Required string length: 1 - 255

Query Parameters

byInternalId
boolean
default:false

Resolve only the internal ID returned by list/search

integrationId
string<uuid>

Integration from ticket.reference; disambiguates IDs across PSA integrations

Body

application/json
content
string
required

Note body posted to the PSA

Required string length: 1 - 10000
isInternal
boolean
default:false

Post as an internal/private note instead of a client-visible one

ccContactIds
string<uuid>[]

Contact ids from note-recipient-options to email this client-visible note to. With ccEmails, up to 10 people in all. Never allowed with isInternal. Requires note emails to be turned on in Settings > Tickets.

Maximum array length: 10
ccEmails
string<email>[]

Email addresses to email this client-visible note to, for people who are not listed contacts. Never allowed with isInternal.

Maximum array length: 10
Maximum string length: 254

Response

Note posted to the PSA

data
object
required